org.tmatesoft.svn.core.wc

## Interface ISVNCommitHandler

- All Known Implementing Classes:
    DefaultSVNCommitHandler

      public interface ISVNCommitHandler

  The ISVNCommitHandler should be implemented to provide an ability to manage commit log messages for items to be committed in a common transaction.

  The interface defines the only one method which takes the initial log message and an array of items that are intended for a commit. For example, an implementor's code can process those items and add some generated additional comment to that one passed into the method. There could be plenty of scenarios.

  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.
  See Also:
    `DefaultSVNCommitHandler`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCommitMessage(java.lang.String message, SVNCommitItem[] commitables)` Handles the incoming initial log message and items intended for a commit and returns a new commit log message.
    `SVNProperties` | `getRevisionProperties(java.lang.String message, SVNCommitItem[] commitables, SVNProperties revisionProperties)` Handles the incoming revision properties and returns filtered revision properties given the paths (represented by `commitables`) collected for committing and the commit log message.

- - ### Method Detail

    - #### getCommitMessage

          java.lang.String getCommitMessage(java.lang.String message,
                                          SVNCommitItem[] commitables)
                                            throws SVNException

      Handles the incoming initial log message and items intended for a commit and returns a new commit log message.
      Parameters:
        `message` - an initial log message
        `commitables` - an array of items to be committed
      Returns:
        a new log message string or NULL to cancel commit operation.
      Throws:
        `SVNException`

    - #### getRevisionProperties

          SVNProperties getRevisionProperties(java.lang.String message,
                                            SVNCommitItem[] commitables,
                                            SVNProperties revisionProperties)
                                              throws SVNException

      Handles the incoming revision properties and returns filtered revision properties given the paths (represented by `commitables`) collected for committing and the commit log message.

      Only the returned filtered revision properties will be set on a new committed revision.

      Parameters:
        `message` - log message for commit
        `commitables` - paths to commit
        `revisionProperties` - initial revision properties
      Returns:
        filtered revision properties
      Throws:
        `SVNException`

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.